# -*- coding: utf-8 -*-

import _common

class Team(object):

    def __init__(self):
        self.apis = [
            {
                'name': 'createTeam',
                'desc': '创建队伍',
                'group': 'Team',
                'url': 'webapp/index.php?c=Team&a=createTeam',
                'params': [
                    _common.ReqHead(),
                    ['node_id', 0, '节点id'],
                    ['map_id', 0, '地图id'],
                    ['match_mode', 0, '0: 匹配赛模式 1: 排位赛 2: pve'],
                    ['pve_instance_id', 0, 'pve副本id'],
                ],
                'response': [
                    _common.RspHead(),
                    ['team_uuid', '', '队伍唯一id'],
                ]
            },
            {
                'name': 'teamInfo',
                'desc': '获取队伍信息',
                'group': 'Team',
                'url': 'webapp/index.php?c=Team&a=teamInfo',
                'params': [
                    _common.ReqHead(),
                    ['team_uuid', '', '队伍唯一id'],
                ],
                'response': [
                    _common.RspHead(),
                    ['team_info', _common.TeamInfo(), '队伍信息'],
                ]
            },
            {
                'name': 'joinTeam',
                'desc': '加入队伍',
                'group': 'Team',
                'url': 'webapp/index.php?c=Team&a=joinTeam',
                'params': [
                    _common.ReqHead(),
                    ['team_uuid', '', '队伍唯一id'],
                ],
                'response': [
                    _common.RspHead(),
                    ['team_uuid', '', '队伍唯一id'],
                ]
            },
            {
                'name': 'leaveTeam',
                'desc': '离开队伍',
                'group': 'Team',
                'url': 'webapp/index.php?c=Team&a=leaveTeam',
                'params': [
                    _common.ReqHead(),
                    ['team_uuid', '', '队伍唯一id'],
                ],
                'response': [
                    _common.RspHead(),
                ]
            },
            {
                'name': 'kickout',
                'desc': '踢人',
                'group': 'Team',
                'url': 'webapp/index.php?c=Team&a=kickout',
                'params': [
                    _common.ReqHead(),
                    ['team_uuid', '', '队伍唯一id'],
                    ['target_id', '', '目标account_id'],
                ],
                'response': [
                    _common.RspHead(),
                ]
            },
            {
                'name': 'closeSlot',
                'desc': '关闭槽位',
                'group': 'Team',
                'url': 'webapp/index.php?c=Team&a=closeSlot',
                'params': [
                    _common.ReqHead(),
                    ['team_uuid', '', '队伍唯一id'],
                    ['slot_id', '', '队伍卡槽id 共计:1 2 3 4'],
                ],
                'response': [
                    _common.RspHead(),
                ]
            },
            {
                'name': 'openSlot',
                'desc': '开启槽位',
                'group': 'Team',
                'url': 'webapp/index.php?c=Team&a=openSlot',
                'params': [
                    _common.ReqHead(),
                    ['team_uuid', '', '队伍唯一id'],
                    ['slot_num', '', '队伍人数'],
                ],
                'response': [
                    _common.RspHead(),
                ]
            },
            {
                'name': 'handover',
                'desc': '转移队长职位',
                'group': 'Team',
                'url': 'webapp/index.php?c=Team&a=handover',
                'params': [
                    _common.ReqHead(),
                    ['team_uuid', '', '队伍唯一id'],
                    ['target_id', '', '目标account_id'],
                ],
                'response': [
                    _common.RspHead(),
                ]
            },
            {
                'name': 'cancel',
                'desc': '取消游戏开始',
                'group': 'Team',
                'url': 'webapp/index.php?c=Team&a=cancel',
                'params': [
                    _common.ReqHead(),
                    ['team_uuid', '', '队伍唯一id'],
                ],
                'response': [
                    _common.RspHead(),
                ]
            },
            {
                'name': 'startGame',
                'desc': '开始游戏',
                'group': 'Team',
                'url': 'webapp/index.php?c=Team&a=startGame',
                'params': [
                    _common.ReqHead(),
                    ['team_uuid', '', '队伍唯一id'],
                ],
                'response': [
                    _common.RspHead(),
                ]
            },{
                'name': 'doReady',
                'desc': '准备/取消',
                'group': 'Team',
                'url': 'webapp/index.php?c=Team&a=doReady',
                'params': [
                    _common.ReqHead(),
                    ['team_uuid', '', '队伍唯一id'],
                    ['ready_state', 0, '1：准备  0：取消'],
                ],
                'response': [
                    _common.RspHead(),
                ]
            },{
                'name': 'setHero',
                'desc': '设置出战英雄',
                'group': 'Team',
                'url': 'webapp/index.php?c=Team&a=setHero',
                'params': [
                    _common.ReqHead(),
                    ['team_uuid', '', '队伍唯一id'],
                    ['hero_uid', 0, '英雄uniid'],
                ],
                'response': [
                    _common.RspHead(),
                ]
            },{
                'name': 'setPreset',
                'desc': '设置备战',
                'group': 'Team',
                'url': 'webapp/index.php?c=Team&a=setPreset',
                'params': [
                    _common.ReqHead(),
                    ['team_uuid', '', '队伍唯一id'],
                    ['hero_uid', 0, '英雄uniid'],
                    ['chip_page', 0, '铭文页id'],
                    ['skill_id', 0, '技能item id'],
                    ['weapon_uid1', 0, '枪1uniid'],
                    ['weapon_uid2', 0, '枪2uniid'],
                ],
                'response': [
                    _common.RspHead(),
                ]
            },{
                'name': 'setHeroSkin',
                'desc': '设置英雄皮肤',
                'group': 'Team',
                'url': 'webapp/index.php?c=Team&a=setHeroSkin',
                'params': [
                    _common.ReqHead(),
                    ['team_uuid', '', '队伍唯一id'],
                    ['hero_uid', 0, '英雄uniid'],
                    ['skin_id', 0, '皮肤item id'],
                ],
                'response': [
                    _common.RspHead(),
                ]
            },{
                'name': 'getPveFragmentNumOrDay',
                'desc': '当天获取碎片的数量',
                'group': 'Team',
                'url': 'webapp/index.php?c=Team&a=getPveFragmentNumOrDay',
                'params': [
                    _common.ReqHead(),
                ],
                'response': [
                    _common.RspHead(),
                    ['heroNum',0,'英雄碎片数量'],
                    ['gunNum',0,'枪械碎片数量']
                ]
            },
        ]
